<?php

namespace Garradin\Plugin\RecusFiscaux;
/*
 * information d'un tarif
 */
class Tarif
{
    public $id;
    public $idActivite; // activité associée
    public $label;
    public $description;
    public $montant;

    public function __construct(
        $id,
        $idActivite,
        $label,
        $description,
        $montant)
    {
        $this->id = $id;
        $this->idActivite = $idActivite;
        $this->label = $label;
        $this->description = $description;
        $this->montant = $montant;
    }

    /*
     * @return instance de Tarif initialisée avec l'objet o
     */
    public static function copier($o)
    {
        return new Tarif(
            $o->id,
            $o->idActivite,
            $o->label,
            $o->description,
            $o->montant);
    }
}
